<?php
/**
 * All settings related to sports banner post.
 *
 * @package Sportsx
 */
$wp_customize->add_section(
	'spotlight_post',
	array(
		'title' => esc_html__( 'Spotlight Post Section', 'sportsx' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'sportsx_options[enable_spotlight_section]',
    array(
        'default'           => $sportsx_default['enable_spotlight_section'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_spotlight_section]',
    array(
        'label'       => esc_html__( 'Enable Spotlight Category', 'sportsx' ),
        'section'     => 'spotlight_post',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'sportsx_section_seperator_spotlight_column_1',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_spotlight_column_1',
        array(
            'label'         => esc_html__( 'Spotlight Category Slider', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_spotlight_column_1',
            'section' => 'spotlight_post',
        )
    )
);

$wp_customize->add_setting(
    'sportsx_options[spotlight_post_title_1]',
    array(
        'default'           => $sportsx_default['spotlight_post_title_1'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[spotlight_post_title_1]',
    array(
        'label'    => __( 'Section Title - 1', 'sportsx' ),
        'section'  => 'spotlight_post',
        'type'     => 'text',
    )
);


$wp_customize->add_setting(
    'sportsx_options[spotlight_post_category_1]',
    array(
        'default'           => $sportsx_default['spotlight_post_category_1'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Sportsx_Dropdown_Taxonomies_Control(
        $wp_customize,
        'sportsx_options[spotlight_post_category_1]',
        array(
            'label'           => __( 'Choose Post Category - 1', 'sportsx' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'sportsx' ),
            'section'         => 'spotlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_section_seperator_spotlight_column_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_spotlight_column_2',
        array(
            'label'         => esc_html__( 'Spotlight Category Slider', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_spotlight_column_2',
            'section' => 'spotlight_post',
        )
    )
);

$wp_customize->add_setting(
    'sportsx_options[spotlight_post_title_2]',
    array(
        'default'           => $sportsx_default['spotlight_post_title_2'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[spotlight_post_title_2]',
    array(
        'label'    => __( 'Section Title - 2', 'sportsx' ),
        'section'  => 'spotlight_post',
        'type'     => 'text',
    )
);


$wp_customize->add_setting(
    'sportsx_options[spotlight_post_category_2]',
    array(
        'default'           => $sportsx_default['spotlight_post_category_2'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Sportsx_Dropdown_Taxonomies_Control(
        $wp_customize,
        'sportsx_options[spotlight_post_category_2]',
        array(
            'label'           => __( 'Choose Post Category - 2', 'sportsx' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'sportsx' ),
            'section'         => 'spotlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_section_seperator_spotlight_column_3',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_spotlight_column_3',
        array(
            'label'         => esc_html__( 'Spotlight Category Slider', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_spotlight_column_3',
            'section' => 'spotlight_post',
        )
    )
);

$wp_customize->add_setting(
    'sportsx_options[spotlight_post_title_3]',
    array(
        'default'           => $sportsx_default['spotlight_post_title_3'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[spotlight_post_title_3]',
    array(
        'label'    => __( 'Section Title - 3', 'sportsx' ),
        'section'  => 'spotlight_post',
        'type'     => 'text',
    )
);


$wp_customize->add_setting(
    'sportsx_options[spotlight_post_category_3]',
    array(
        'default'           => $sportsx_default['spotlight_post_category_3'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Sportsx_Dropdown_Taxonomies_Control(
        $wp_customize,
        'sportsx_options[spotlight_post_category_3]',
        array(
            'label'           => __( 'Choose Post Category - 3', 'sportsx' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'sportsx' ),
            'section'         => 'spotlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_section_seperator_slider_banner',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Sportsx_Seperator_Control(
        $wp_customize,
        'sportsx_section_seperator_slider_banner',
        array(
            'label'         => esc_html__( 'Spotlight Category Section Meta', 'sportsx' ),
            'settings' => 'sportsx_section_seperator_slider_banner',
            'section' => 'spotlight_post',
        )
    )
);


$wp_customize->add_setting(
    'sportsx_options[enable_spotlight_author_meta]',
    array(
        'default' => $sportsx_default['enable_spotlight_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_spotlight_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_spotlight_author_meta]',
    array(
        'default' => $sportsx_default['select_spotlight_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'select',
        'choices' => sportsx_author_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[spotlight_author_meta_title]',
    array(
        'default' => $sportsx_default['spotlight_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[spotlight_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_spotlight_date_meta]',
    array(
        'default' => $sportsx_default['enable_spotlight_date_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_spotlight_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_spotlight_date]',
    array(
        'default' => $sportsx_default['select_spotlight_date'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_date]',
    array(
        'label' => esc_html__('Select Single Date Meta', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'select',
        'choices' => sportsx_date_meta(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_spotlight_date_meta_title]',
    array(
        'default' => $sportsx_default['select_spotlight_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_date_meta_title]',
    array(
        'label' => __('Date Text', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_spotlight_date_format]',
    array(
        'default' => $sportsx_default['select_spotlight_date_format'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'select',
        'choices' => sportsx_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'sportsx_options[enable_spotlight_category_meta]',
    array(
        'default' => $sportsx_default['enable_spotlight_category_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_spotlight_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'sportsx_options[select_spotlight_number_of_category]',
    array(
        'default' => $sportsx_default['select_spotlight_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_number_of_category]',
    array(
        'label' => __('Number of Category', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'sportsx_options[spotlight_category_label]',
    array(
        'default' => $sportsx_default['spotlight_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[spotlight_category_label]',
    array(
        'label' => __('Category Label', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_spotlight_category_color]',
    array(
        'default' => $sportsx_default['select_spotlight_category_color'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_spotlight_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'sportsx'),
        'section' => 'spotlight_post',
        'type' => 'select',
        'choices' => sportsx_category_color(),
    )
);